<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_0ee0a25025d" . "73f8693a4bb3" . "7a3c298ac" => base64_decode("Y2hlY2tlZF9pbl9" . "ieQ=="), "_6e38cb9e043a07cd69a1711a670" . "4c62a" => base64_decode("cGF" . "yZW" . "50X" . "2lk"), "_d5ebf376f635c188ec65813608e6e" . "ce5" => base64_decode("bmV3X3Zlcn" . "Npb24="));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0ee0a25025d73f86" . "93a4bb37a3c298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d5ebf376f635c188ec65813608e" . "6ece5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_6e38cb9" . "e043a07c" . "d69a1711" . "a6704c62" . "a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}